%define real_version 5010

Summary: Adobe Acrobat(R) Reader
Name: acroread
Version: 5.010
Release: 1
License: Commercial, Freely Distributable
ExclusiveArch: i386 i486 i586 i686 athlon
Group: Applications/Publishing
Source: http://ardownload.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-%{real_version}.tar.gz
Source1: mini-pdf.xpm
Source2: acroread.kdelnk
Source3: acroread.xpm
Patch1: acroread-path.diff
URL: http://www.adobe.com/products/acrobat/readermain.html
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: acrobat
prefix: /usr

%description
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the Acrobat Reader.

%package plugin
Summary: Adobe Acrobat(R) Reader plugin for mozilla / konqueror
Requires: mozilla
Group: Applications/Publishing

%description plugin
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
a plugin for netscape.

%prep
%setup -q -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{lib/%{name},bin} \
	$RPM_BUILD_ROOT/etc/X11/applnk/Graphics \
	$RPM_BUILD_ROOT/%{prefix}/share/icons/mini \
	$RPM_BUILD_ROOT/%{prefix}/lib/mozilla/plugins \
	$RPM_BUILD_ROOT/%{prefix}/share/applications

cd $RPM_BUILD_ROOT/%{prefix}/lib/%{name}
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/installers/COMMON.TAR
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/installers/LINUXRDR.TAR
find -type d | xargs chmod 755

install -m 755 Browsers/intellinux/nppdf.so $RPM_BUILD_ROOT/%{prefix}/lib/mozilla/plugins

cd bin
patch -p0 < $RPM_SOURCE_DIR/acroread-path.diff
rm -f *.orig

install -m 0755 acroread.sh $RPM_BUILD_ROOT/usr/bin/acroread

cp %{SOURCE1} $RPM_BUILD_ROOT/%{prefix}/share/icons/
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/acroread.desktop
cp %{SOURCE2} $RPM_BUILD_ROOT/%{prefix}/share/applications/acroread.desktop
cp %{SOURCE3} $RPM_BUILD_ROOT/%{prefix}/share/icons/

# add category for bluecurve menu entry
echo "Categories=X-Red-Hat-Base;Application;Graphics;" >> $RPM_BUILD_ROOT/%{prefix}/share/applications/acroread.desktop

# keep ldd from complaining
chmod 755 $RPM_BUILD_ROOT/%{prefix}/lib/%{name}/Reader/intellinux/lib/lib*so*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{prefix}/lib/%{name}
%doc $RPM_BUILD_DIR/%{name}-%{version}/installers/LICREAD.TXT
%doc $RPM_BUILD_DIR/%{name}-%{version}/installers/README
%{prefix}/lib/%{name}/bin
%{prefix}/lib/%{name}/Reader
%{prefix}/lib/%{name}/Resource
%{prefix}/lib/%{name}/Browsers
/etc/X11/applnk/Graphics/*
%{prefix}/share/applications/acroread.desktop
%{prefix}/bin/*
%{prefix}/share/icons/*

%files plugin
%defattr(-, root, root)
%{prefix}/lib/mozilla/plugins/*

%changelog
* Thu Dec 06 2005 Troy Dawson <dawson@fnal.gov>
- updated for Acroread 5.010
- Basically took this spec file, originally from Dax, and the binaries I got
from Dag Weers, and combined them into this

* Thu Sep 04 2003 Dax Kelson <dax@gurulabs.com>
- updated for Acroread 5.08
- 5.08 includes a security patch was applied that solves a problem reported
with long URLs in weblinks which can cause a buffer overrun.

* Mon Jun 30 2003 Dax Kelson <dax@gurulabs.com>
- Set LC_ALL to C as well as LANG

* Wed Jun 18 2003 Dax Kelson <dax@gurulabs.com>
- v5.07
- fixes CERT vulnerability 200132

* Tue May 13 2003 Frank Bagehorn <fba@zurich.ibm.com>
- added entry for RH9 bluecurve menu structure

* Wed Oct 16 2002 Dax Kelson <dax@gurulabs.com>
- changed Mozilla path to use mozilla, this will work
- with browser upgrades

* Thu Oct 10 2002 Patrick <rpms@puzzled.xs4all.nl>
- changed Mozilla path to use mozilla-1.0.1
- added some files that weren't being packaged

* Wed Aug 21 2002 Dax Kelson <dax@gurulabs.com>
- version 5.06 (some security fixes)
- For RHL8.0
- Add LANG=C workaround until Acrobat gets Unicode locale support

* Tue May 29 2002 Dax Kelson <dax@gurulabs.com>
- Add mozilla support
- Finally Adobe released version 5.05

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- require netscape-common not netscape-communicator (#16088)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed install section so that regular users can build

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 22 2000 Ngo Than <than@redhat.de>
- rename to arcoread
- remove /etc/X11/wmconfig
- remove /usr/lib/acrobat/ReadMe

* Mon May 22 2000 Ngo Than <than@redhat.de>
- initial RPM for 7.0 
